com.trendmicro.ds.platform.rest.object.administratorroles

## Class AddAdministratorRolePoliciesRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administratorroles.AddAdministratorRolePoliciesRequest

-     public class AddAdministratorRolePoliciesRequest
      extends java.lang.Object

  Request object for the AddAdministratorRolePolicies API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddAdministratorRolePoliciesRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getPolicies()` Get the list of policy IDs to add to the administrator role.
    `void` | `setPolicies(java.util.List<java.lang.Integer> policies)` Set the list of policy IDs to add to the administrator role.
    `AddAdministratorRolePoliciesRequest` | `withPolicies(java.lang.Integer... policies)` Set the list of policy IDs to add to the administrator role.
    `AddAdministratorRolePoliciesRequest` | `withPolicies(java.util.List<java.lang.Integer> policies)` Set the list of policy IDs to add to the administrator role.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAdministratorRolePoliciesRequest

          public AddAdministratorRolePoliciesRequest()

  - ### Method Detail

    - #### getPolicies

          public java.util.List<java.lang.Integer> getPolicies()

      Get the list of policy IDs to add to the administrator role.
      Returns:
        the list of policy IDs to add to the administrator role.

    - #### setPolicies

          public void setPolicies(java.util.List<java.lang.Integer> policies)

      Set the list of policy IDs to add to the administrator role.
      Parameters:
        `policies` - the list of policy IDs to add to the administrator role.

    - #### withPolicies

          public AddAdministratorRolePoliciesRequest withPolicies(java.util.List<java.lang.Integer> policies)

      Set the list of policy IDs to add to the administrator role.
      Parameters:
        `policies` - the list of policy IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRolePoliciesRequest object.

    - #### withPolicies

          public AddAdministratorRolePoliciesRequest withPolicies(java.lang.Integer... policies)

      Set the list of policy IDs to add to the administrator role.
      Parameters:
        `policies` - the list of policy IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRolePoliciesRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.